using System.ComponentModel.DataAnnotations;

namespace DreamsCaster.Models;

public class IdEntity
{
	public Guid Id;
}

public class MetaData<T> : IdEntity
{
	public string Description;
	public string CoverPhoto;

	[Required]
	public virtual T Owner { get; set; }
}