namespace DreamsCaster.Helpers;

public struct Optional<T>
{
	public bool HasValue;
	public T Value;
	
	public Optional(bool hasValue, T value)
	{
		HasValue = hasValue;
		Value = value;
	}

	public static implicit operator T(Optional<T> d) => d.HasValue ? d.Value : default;
}